# Games that could easily be improved

Beta or nearly mature games that are unfortunately inactive often can be improved a lot with relatively little effort.
The same is true for mature games with a few unfortunate bugs or other shortcomings. The common trait is that they could
be much better with doing relatively small adjustments. This would include bug fixes, additional content/scenarios/maps,
additonal game modes or options, tweaking of the game mechanics. Play testing and summarizing bug reports are a way of
indentifying possible candidates.

Please add or modify entries in the alphabetically sorted list below. Change the update date accordingly.

## [Dungeon Crawl Stone Soup](entries/dungeon_crawl_stone_soup.md)

The game is complete and very active actually. I am not aware of any problems. I played countless hours with it. The only
bugs I reported were minor text-related ones that were fixed quickly. It's definitely not in “beta” anymore. The problem
is more a psychological one: There's no version 1.0. The [developers refuse](https://crawl.develz.org/wordpress/faq#version)
to ever release a version named “1.0”. This may be unfortunate. They are making themselves smaller than they should be.
DCSS should just release 1.0. Never underestimate the psychological power of just calling your release 1.0.

Last update: 2019-11

## [Cubosphere](entries/cubosphere.md)

Honestly, I have no idea why Cubosphere 0.3 beta is not called 1.0 already. Spent countless hours playing it, huge amount
of levels. But the main dev disappeared a long time ago. Should probably need to look at bugtracker. But sadly doesn't
quality as “true” FOSS because many textures are just “randomly grabbed off the Internet” (said the developer), so that's
certainly a copyright problem.

Last update: 2019-11

## [GCompris](entries/gcompris.md)

Partly commercial. Evaluate and if not yet existing create a completely free (code and content) version

Last update: 2019-12

## [Hedgewars](entries/hedgewars.md)

Actually this is on 1.0.0 already (so low priority IMO). But I feel singleplayer mode could need more content.
There already is a healthy amount of content, but the difficulty is all over the place; more content could balance that out.
More campaigns, missions, challenges, that stuff. There is a large documentation about how to add these things.
Lots of smaller ideas are in the bugtracker.

Last update: 2019-11

## [OpenArena](entries/openarena.md)

OpenArena 0.8.8 is basically finished, but the main menu is buggy and in-game there are some weird (but harmless) warning
messages about missing sounds. Complete this. AFAIK this was dropped in favor of developing OpenArena 3 which seems to be
a full graphical overhaul but I have no idea bout its progress and didn't hear news for years. OpenArena 3 also seems to be
almost like a fork. So it makes sense to bring OpenArena (the original) to 1.0.0, independently of OpenArena 3.

Last update: 2019-11

## [Pingus](entries/pingus.md)

Pingus 0.7.1 is a fully playable game, has lots of levels, but with poor structuring of levels. The game has a main story
line that starts on “Tutorial Island” but it ends right there. Tutorial Island has a hand-painted level selection screen.
Other level set's don't have that. The other levels are pretty unstructured and don't continue the story. There are
a few level sets, but a lot of user levels are only accessible through the level editor and very chaotic.

Completing Pingus would require restructuring the way how you select levels and making all levels more accessible to play.
Basically, make the whole level selection more logical. Another idea I had was to even drop the main storyline and maybe
even the special Tutorial Island screen (at least for now) and just put everything into simple level sets/level lists
just to make “releasing 1.0” easier. It's highly unlikely we'll find an artist to draw grapical selection screens for
every level set anytime soon.

Last update: 2019-11

## [Stunt Rally](entries/stunt_rally.md)

This is very very mature (way beyond 2.0) but also has some important issues: 1) Various non-free textures that await
replacement (sadly, not trivial at all). 2) Trees sometimes intersect pipes. 3) Multiplayer should be playtested more.

Last update: 2019-11

# Games suitable for replacing proprietary artwork by free artwork

Idea is to have more games under completely open code and content. The license status of the artwork should be cleared
and artwork with unknown or proprietary license (including artwork under a non-commercial license) should be replaced by
open content. Games where this task is rather easy or popular games, where the task is worthwhile are preferred.

Please add or modify entries in the alphabetically sorted list below. Change the update date accordingly.

## [Stunt Rally](entries/stunt_rally.md)

[List of questionable artwork](https://forum.freegamedev.net/viewtopic.php?f=79&t=6911)

Last update: 2019-11
